Get User Operation
curl --request GET \
--url https://developer.world.org/api/v2/minikit/userop/{user_op_hash}const options = {method: 'GET'};
fetch('https://developer.world.org/api/v2/minikit/userop/{user_op_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "pending",
"userOpHash": "0x8004b63530b968a2a2c9ff414e01fc06a3ec5e4068d36d923df6aa4334744369",
"sender": null,
"transaction_hash": null,
"nonce": null
}Developer Portal
Get User Operation
Query a MiniKit user operation by userOpHash and resolve the final on-chain transaction hash when it becomes available.
GET
/
api
/
v2
/
minikit
/
userop
/
{user_op_hash}
Get User Operation
curl --request GET \
--url https://developer.world.org/api/v2/minikit/userop/{user_op_hash}const options = {method: 'GET'};
fetch('https://developer.world.org/api/v2/minikit/userop/{user_op_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "pending",
"userOpHash": "0x8004b63530b968a2a2c9ff414e01fc06a3ec5e4068d36d923df6aa4334744369",
"sender": null,
"transaction_hash": null,
"nonce": null
}Path Parameters
The MiniKit userOpHash returned by MiniKit.sendTransaction() or eth_sendTransaction through the World App provider.
Pattern:
^0x[a-fA-F0-9]{64}$Response
User operation status
Current user operation status.
Available options:
pending, success, failed The MiniKit user operation hash.
The sender address when known.
Final on-chain transaction hash, if available.
User operation nonce, if available.
Was this page helpful?